/*
 * Licensed to the Apache Software Foundation (ASF) under one
 * or more contributor license agreements.  See the NOTICE file
 * distributed with this work for additional information
 * regarding copyright ownership.  The ASF licenses this file
 * to you under the Apache License, Version 2.0 (the
 * "License"); you may not use this file except in compliance
 * with the License.  You may obtain a copy of the License at
 *
 *  http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 * KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations
 * under the License.
 */

package org.slf4j.impl;

import org.slf4j.ILoggerFactory;
import org.slf4j.spi.LoggerFactoryBinder;

import org.apache.geronimo.framework.logging.LoggerFactory;

/**
 * ???
 *
 * @version $Revision: 653596 $ $Date: 2008-05-06 04:54:44 +0800 (Tue, 06 May 2008) $
 */
public class StaticLoggerBinder
    implements LoggerFactoryBinder
{
    public static final StaticLoggerBinder SINGLETON = new StaticLoggerBinder();
    
    private static final Class FACTORY_TYPE = LoggerFactory.class;
    
    private final ILoggerFactory factory = new LoggerFactory();

    public ILoggerFactory getLoggerFactory() {
        return factory;
    }

    public String getLoggerFactoryClassStr() {
        return FACTORY_TYPE.getName();
    }
}
