<%--
   Licensed to the Apache Software Foundation (ASF) under one or more
   contributor license agreements.  See the NOTICE file distributed with
   this work for additional information regarding copyright ownership.
   The ASF licenses this file to You under the Apache License, Version 2.0
   (the "License"); you may not use this file except in compliance with
   the License.  You may obtain a copy of the License at

      http://www.apache.org/licenses/LICENSE-2.0

   Unless required by applicable law or agreed to in writing, software
   distributed under the License is distributed on an "AS IS" BASIS,
   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
   See the License for the specific language governing permissions and
   limitations under the License.
--%>

<%-- $Rev: 949693 $ $Date: 2010-05-31 16:55:33 +0800 (Mon, 31 May 2010) $ --%>

<%@ taglib uri="http://java.sun.com/jsp/jstl/core" prefix="c" %>
<%@ taglib uri="http://java.sun.com/portlet" prefix="portlet"%>
<%@ taglib uri="http://java.sun.com/jsp/jstl/fmt" prefix="fmt"%>
<%@ taglib uri="/WEB-INF/CommonMsg.tld" prefix="CommonMsg"%>

<fmt:setBundle basename="consolebase"/>
<portlet:defineObjects/>

<CommonMsg:confirmMsg/>
<c:set var="reslist" value="${requestScope['org.apache.geronimo.console.repo.list']}"/>


<style type="text/css">  
    div.Hidden {
        display: none;
    }

    div.Shown {
        display: block;
    font-size: 10px;
    }
</style>  

<script language="JavaScript">
var <portlet:namespace/>formName = "<portlet:namespace/>fileSelect";
var <portlet:namespace/>requiredFields = new Array("local", "group", "artifact", "version", "fileType");
function <portlet:namespace/>validateForm() {
    if(!textElementsNotEmpty(<portlet:namespace/>formName,<portlet:namespace/>requiredFields)) {
        addErrorMessage("<portlet:namespace/>", '<fmt:message key="repository.normal.emptyText"/>');
        return false;    
    }
    
    return <portlet:namespace/>validate();
}

function <portlet:namespace/>validate() {
    with(document.<portlet:namespace/>fileSelect){
        var illegalChars= /[\.]{2}|[()<>,;:\\/"'\|]/ ;
        if (group.value.match(illegalChars)) {
            group.focus(); 
            addErrorMessage("<portlet:namespace/>", '<fmt:message key="repository.normal.invalidChar"/>');
            return false;
        } else if (artifact.value.match(illegalChars)) {
            artifact.focus(); 
            addErrorMessage("<portlet:namespace/>", '<fmt:message key="repository.normal.invalidChar"/>');
            return false;
        } else if (version.value.match(illegalChars)) {
            version.focus(); 
            addErrorMessage("<portlet:namespace/>", '<fmt:message key="repository.normal.invalidChar"/>');
            return false;
        } else if (fileType.value.match(illegalChars)) {
            fileType.focus(); 
            addErrorMessage("<portlet:namespace/>", '<fmt:message key="repository.normal.invalidChar"/>');
            return false;
        }
    }

    return true;
}

function <portlet:namespace/>parse(localFile) {
    // Split the path
    var pathParts = localFile.split("\\"); // Assuming windows file delim
    if(localFile.indexOf("/") >= 0) // check if *nix 
        pathParts = localFile.split("/");
    basename = pathParts[pathParts.length - 1]; // Last part is the base file name

    // Attempt to get the artifact and type from the basename
    // This regular expression for repository filename is taken from Maven1Repository.MAVEN_1_PATTERN
    regExpStr = "(.+)-([0-9].+)\\.([^0-9]+)";
    var fileRegExp = new RegExp(regExpStr, "g");
    if(basename.match(fileRegExp) != null) {
        // base file name matches the regular expression
        fileRegExp.compile(regExpStr, "g");
        var fileParts = fileRegExp.exec(basename);
        fileType = fileParts[fileParts.length - 1];
        version = fileParts[fileParts.length - 2];
        artifact = fileParts[fileParts.length - 3];
        document.<portlet:namespace/>fileSelect.fileType.value = fileType;
        document.<portlet:namespace/>fileSelect.version.value = version;
        document.<portlet:namespace/>fileSelect.artifact.value = artifact;

        // Attempt to suggest the group
        if(pathParts.length >= 3 && pathParts[pathParts.length-2] == fileType +'s') {
            // Maven1Repository
            document.<portlet:namespace/>fileSelect.group.value = pathParts[pathParts.length-3];
        } else if(pathParts.length >= 4 && pathParts[pathParts.length-2] == version && pathParts[pathParts.length-3] == artifact) {
            // Maven2Repository
            document.<portlet:namespace/>fileSelect.group.value = pathParts[pathParts.length-4];
        } else {
            document.<portlet:namespace/>fileSelect.group.value = '';
        }
    } else {
        document.<portlet:namespace/>fileSelect.fileType.value = '';
        document.<portlet:namespace/>fileSelect.version.value = '';
        document.<portlet:namespace/>fileSelect.artifact.value = '';
        document.<portlet:namespace/>fileSelect.group.value = '';
    }
}

function removePrompt(target,componentName){
    return showConfirmMessage(target, '<fmt:message key="repository.remove.confirm"/>' + componentName + '?', '<fmt:message key="repository.remove.ok"/>', '<fmt:message key="repository.remove.cancel"/>');
}
</script>

<CommonMsg:commonMsg/>
<div id="<portlet:namespace/>CommonMsgContainer"></div><br>

<table width="100%">
<tr>
  <td align="center">
  <form onsubmit="return <portlet:namespace/>validateForm();" enctype="multipart/form-data" name="<portlet:namespace/>fileSelect" method="POST" action="<portlet:actionURL/>">
  <input type="hidden" value="deploy" name="action"/>
  <table width="80%">
    <tr>
      <td colspan="2" align="center"><b><fmt:message key="repository.normal.addArchiveToRepository"/></b></td>
    </tr>
    <tr>
      <td align="right" width="40%"><label for="<portlet:namespace/>local"><fmt:message key="consolebase.common.file"/></label></td>
      <td align="left" width="60%"><input name="local" id="<portlet:namespace/>local" onchange="<portlet:namespace/>parse(value);" type="file">&nbsp;&nbsp;&nbsp;</td>
    </tr>
    <tr>
      <td align="right" width="40%"><label for="<portlet:namespace/>group"><fmt:message key="consolebase.common.group"/></label>:</td>
      <td align="left" width="60%"><input type="text" name="group" id="<portlet:namespace/>group" value="${group}"/></td>
    </tr>
    <tr>
      <td align="right" width="40%"><label for="<portlet:namespace/>artifact"><fmt:message key="repository.normal.artifact"/></label>:</td>
      <td align="left" width="60%"><input type="text" name="artifact" id="<portlet:namespace/>artifact" value="${artifact}"/></td>
    </tr>
    <tr>
      <td align="right" width="40%"><label for="<portlet:namespace/>version"><fmt:message key="consolebase.common.version"/></label>:</td>
      <td align="left" width="60%"><input type="text" name="version" id="<portlet:namespace/>version" value="${version}"/></td>
    </tr>
    <tr>
      <td align="right" width="40%"><label for="<portlet:namespace/>fileType"><fmt:message key="consolebase.common.type"/></label>:</td>
      <td align="left" width="60%"><input type="text" name="fileType" id="<portlet:namespace/>fileType" value="${fileType}"/></td>
    </tr>
    <tr>
      <td align="right" width="40%"><label for="<portlet:namespace/>jarName"><fmt:message key="repository.normal.replacedName"/></label>:</td>
      <td align="left" width="60%"><input type="text" name="jarName" id="<portlet:namespace/>jarName" value="${jarName}"/></td>
    </tr>
    <tr>
      <td align="right" width="40%">&nbsp;</td>
      <td align="left" width="60%"><fmt:message key="repository.normal.replacedNameDescription"/></td>
    </tr>    
    <tr><td colspan="2"><font size="-2">&nbsp;</font></td></tr>
    <tr>
      <td colspan="2" align="center"><input type="submit" value='<fmt:message key="consolebase.common.install"/>' /></td>
    </tr>
  </table>
  </form>
  </td>
</tr>
</table>

<b><fmt:message key="repository.normal.currentRepositoryEntries"/></b>
<p><fmt:message key="repository.normal.toViewUsage"/></p>

<table width="100%" class="TableLine" summary="Repository Manager">
    <tr class="DarkBackground">
        <th scope="col" align="left">&nbsp;<fmt:message key="configmanager.normal.componentName" /></th>   
        <th scope="col" align="left">&nbsp;<fmt:message key="consolebase.common.commands"/></th>
    </tr>
    <c:set var="backgroundClass" value='MediumBackground'/>
      <c:forEach items="${reslist}" var="res">
          <c:choose>
              <c:when test="${backgroundClass == 'MediumBackground'}" >
                  <c:set var="backgroundClass" value='LightBackground'/>
              </c:when>
              <c:otherwise>
                  <c:set var="backgroundClass" value='MediumBackground'/>
              </c:otherwise>
          </c:choose>
          <tr>
            <td class="${backgroundClass}">
              <a href="<portlet:actionURL portletMode="view"><portlet:param name="action" value="usage"/><portlet:param name="res" value="${res.name}"/></portlet:actionURL>"><c:out value="${res.name}"/></a>
            </td>
            <td class="${backgroundClass}">
                <c:if test="${res.shouldRemove}">
                    <a href="<portlet:actionURL portletMode="view" ><portlet:param name="action" value="remove"/><portlet:param name="res" value="${res.name}"/></portlet:actionURL>" 
                    onClick="return removePrompt(this, '${res.name}');"><fmt:message key="consolebase.common.remove"/></a>
                </c:if>
                <c:if test="${!res.shouldRemove}">
                     &nbsp;
                </c:if>
            </td>
          </tr>
	</c:forEach>
</table>

