/**
 *  Licensed to the Apache Software Foundation (ASF) under one
 *  or more contributor license agreements.  See the NOTICE file
 *  distributed with this work for additional information
 *  regarding copyright ownership.  The ASF licenses this file
 *  to you under the Apache License, Version 2.0 (the
 *  "License"); you may not use this file except in compliance
 *  with the License.  You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 *  Unless required by applicable law or agreed to in writing,
 *  software distributed under the License is distributed on an
 *  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
 *  KIND, either express or implied.  See the License for the
 *  specific language governing permissions and limitations
 *  under the License.
 */

package org.apache.geronimo.testsuite.console;

import org.testng.annotations.Test;

/**
 * Database viewer portlet tests
 *
 * @version $Rev: 964294 $ $Date: 2010-07-15 11:37:05 +0800 (Thu, 15 Jul 2010) $
 */
public class DBViewerPortletTest
    extends BasicConsoleTestSupport
{
    @Test
    public void testDBViewerLink() throws Exception {
    	selenium.click(this.getNavigationTreeNodeLocation("Embedded DB"));
        selenium.click("link=DB Manager");
        waitForPageLoad();
        assertEquals("Geronimo Console", selenium.getTitle());
        assertEquals("DB Viewer", 
                     selenium.getText(getPortletTitleLocation()));
        // Test help link
        selenium.click(getPortletHelpLocation());
        waitForPageLoad();
        selenium.isTextPresent("Displays all the available databases and their tables");
    }
}
